Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Interface BuildExecutionManager

All Known Implementing Classes:
  DefaultBuildExecutionManager

    public interface BuildExecutionManager

A class that is aware of all the goings on in executing builds.

Method Summary
`String` | `addBuildLogEntry(Build build, LogEntry logEntry)` Add a new build log entry.
`void` | `clearBuildLog(Build build)` Reset the build log, ready for the next build
`List` | `getBuildLog(Build build)` Provide the latest build details.
`boolean` | `isInBuildQueue(Build build)` Is the build currenlty being built?
`boolean` | `isMarkedForDependencyBuild(Build build)` Has the build been marked for a build following a dependent build having completed?
`boolean` | `isMarkedForEditBuild(Build build)` Has the build been marked for a build following an edit?
`boolean` | `isMarkedForManualBuild(Build build)` Has the build been marked for a manual build?
`void` | `markAsNeedingBuilding(Build build, ReasonForBuild reasonForBuild)` Mark the build to force a build next time it's checked.
`void` | `setInBuildQueue(Build build, boolean isBuilding)` Set the is-building flag.
`void` | `unmarkBuild(Build build)`

Method Detail

### isInBuildQueue

    boolean isInBuildQueue(Build build)

  Is the build currenlty being built?

  Returns:
    true iff is currently in the build pipleline

### setInBuildQueue

    void setInBuildQueue(Build build,
                         boolean isBuilding)

  Set the is-building flag.

  Parameters:
    `isBuilding` - Is the build currently in the build pipeline?

### isMarkedForManualBuild

    boolean isMarkedForManualBuild(Build build)

  Has the build been marked for a manual build?

  Returns:
    true iff it is has been marked for a manual build

### isMarkedForEditBuild

    boolean isMarkedForEditBuild(Build build)

  Has the build been marked for a build following an edit?

  Returns:
    true iff it is has been marked for an edit build

### isMarkedForDependencyBuild

    boolean isMarkedForDependencyBuild(Build build)

  Has the build been marked for a build following a dependent build having completed?

  Returns:

### markAsNeedingBuilding

    void markAsNeedingBuilding(Build build,
                               ReasonForBuild reasonForBuild)

  Mark the build to force a build next time it's checked.

  Parameters:
    `reasonForBuild` - The reason we want to build the build

### getBuildLog

    List getBuildLog(Build build)

  Provide the latest build details. This is not persisted.

  Returns:
    The collection of `SimpleLogEntry`s. Never returns null.

### addBuildLogEntry

    String addBuildLogEntry(Build build,
                            LogEntry logEntry)

  Add a new build log entry. This will get appended to the end of the log.

  Parameters:
    `logEntry` - The data being logged
  Returns:
    The line of text being logged. From `LogEntry.getUnstyledLog()`.

### clearBuildLog

    void clearBuildLog(Build build)

  Reset the build log, ready for the next build

### unmarkBuild

    void unmarkBuild(Build build)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.